<?php require_once('../../Connections/cn.php'); ?>
<?php
session_start();
//Impide que la p�gina sea vista desde el navegador.
if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
	  
$id_docente=$_GET['id_docente'];
$id_periodo=$_GET['id_periodo'];
$sede=$_GET['sede'];


mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

// Datos del Periodo
$sql1 = "SELECT codigo FROM periodos where id_periodo='$id_periodo'";
$rs1 = mysql_query($sql1, $cn) or die(mysql_error());
$row1 = mysql_fetch_assoc($rs1);
$codigo_periodo= $row1['codigo'];
	// Datos del docenteo
	$sql = "SELECT id_docente,cedula,apellidos, nombres FROM docentes WHERE id_docente='$id_docente'";
	$rs = mysql_query($sql, $cn) or die(mysql_error());
	$row = mysql_fetch_assoc($rs);
	$id_docente= $row['id_docente'];
	$cedula= $row['cedula'];
	$apellidos= $row['apellidos'];
	$nombres= $row['nombres'];
	$tipodoc=$row['tipodoc'];

//Datos de la Carga Acad�mica del Docente
if($sede==0){
$query_rstCarga = "Select Distinct
sedes.nombre_sede,
oferta_academica.id_periodo,
carreras.nombre_carrera,
materias.nombre_materia,
oferta_academica.id_seccion,
oferta_academica.turno,
oferta_academica.semestre
From
oferta_academica
Inner Join carreras ON oferta_academica.id_carrera = carreras.id_carrera
Inner Join materias ON (oferta_academica.id_materia = materias.id_materia and  oferta_academica.id_carrera = materias.id_carrera)
Inner Join sedes ON oferta_academica.sede = sedes.codigo
where
oferta_academica.id_profesor='$id_docente' AND oferta_academica.id_periodo='$id_periodo' order by sedes.nombre_sede,oferta_academica.semestre,oferta_academica.id_seccion";
}
else{
$query_rstCarga = "Select Distinct
sedes.nombre_sede,
oferta_academica.id_periodo,
carreras.nombre_carrera,
materias.nombre_materia,
oferta_academica.id_seccion,
oferta_academica.turno,
oferta_academica.semestre
From
oferta_academica
Inner Join carreras ON oferta_academica.id_carrera = carreras.id_carrera
Inner Join materias ON (oferta_academica.id_materia = materias.id_materia and  oferta_academica.id_carrera = materias.id_carrera)
Inner Join sedes ON oferta_academica.sede = sedes.codigo
where
oferta_academica.sede='$sede' AND oferta_academica.id_profesor='$id_docente' AND oferta_academica.id_periodo='$id_periodo'
order by sedes.nombre_sede,oferta_academica.semestre,oferta_academica.id_seccion";

}

$rstCarga = mysql_query($query_rstCarga, $cn) or die(mysql_error());
//$row_rstCarga = mysql_fetch_assoc($rstCarga);
$totalRows_rstCarga = mysql_num_rows($rstCarga);


// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(558,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1);
// Se obtiene las materias de la Carrera.
// Se obtienen las materias que el alumno ha cursado.
/*mysql_select_db($database_cn, $cn);
$query = "SELECT
semestre,id_materia,nombre_materia,uc
FROM
materias
WHERE
materias.id_carrera = '$carrera'
ORDER BY
materias.semestre Asc,
materias.orden Asc";
// Ejecuta el Query.
$result1 = mysql_query ($query ) or die (mysql_error()); 
// Numero de Materias cursadas por el alumno.
$totalRows = mysql_num_rows($result1);
*/ 
// Se obtienen las materias que el alumno ha cursado.

// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mpppf.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,500,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
$pdf->ezsetdy(-13);
$pdf->ezText('<b>'.utf8_decode("CARGA ACADÉMICA").'</b>',14,array('justification'=>'center'));
$pdf->ezsetdy(-20);
$pdf->ezText('<b>'.utf8_decode("  LAPSO ACADÉMICO: ").'</b>'.utf8_decode($codigo_periodo),10,array('justification'=>'left'));
$pdf->ezText('<b>'."  DOCENTE: ".'</b>'.utf8_decode($apellidos).", ".utf8_decode($nombres),10,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'.utf8_decode("  CÉDULA: ").'</b>'.$cedula);
$pdf->addText(500,650,9,"Fecha: ".date("d/m/Y"));
$pdf->ezsetdy(-5);
// Fin del Encabezado.
// Inicio del Pie de P�gina.
pie_pagina($pdf);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(4,4,3.5,3);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('sede'=>'<b>'.'Sede'.'</b>', 
              'carrera'=>'<b>'.'                  Programa'.'</b>', 
              'materia'=>'<b>'.'          Unidad Curricular'.'</b>',
			  'sem'=>'<b>'.'Sem.'.'</b>', 
			  'seccion'=>'<b>'.utf8_decode('Sección').'</b>',
			  'turno'=>'<b>'.utf8_decode('Turno').'</b>');
$smc = 0; 
// Convierte la Nota a Letras.
// $nota = new numerosALetras;
while ($row = mysql_fetch_row($rstCarga)) { 
    $sede     = $row[0];    // Semestre de la Materia 
    $periodo  = $row[1];	   // C�digo de la Materia
    $carrera  = $row[2];    // Nombre de la Materia
	$materia  = $row[3];    // Cr�ditos de la Materia.
	$seccion  = $row[4];    // Cr�ditos de la Materia.
	$turno    = $row[5];
	$semestre = $row[6];
	//*****
	// Se obtienen las materias que el alumno ha cursado.
    if($turno=="1") $nombre_turno="Mañana";
	if($turno=="2") $nombre_turno="Vespertino";
	if($turno=="4") $nombre_turno="Nocturno";
    $smc = $smc + 1; 
    // Aqui se agregan l as variables formateadas al array 
    $data[] = array('sede'=>$sede,
                    'carrera'=>utf8_decode($carrera),
                    'materia'=>utf8_decode($materia),
					'sem'=>utf8_decode($semestre),  
					'seccion'=>$seccion,
					'turno'=>utf8_decode($nombre_turno)); 
} 
					
$pdf->ezTable($data,$cols,'',array('width'=>'550','fontSize'=>9, 
'cols'=>array('sede'=>array('justification'=>'center') 
             ,'carrera'=>array('justification'=>'left') 
			 ,'materia'=>array('justification'=>'left')
			 ,'sem'=>array('justification'=>'center')
			 ,'seccion'=>array('justification'=>'center')
			 ,'turno'=>array('justification'=>'left')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf)
{
    /*// Facilitador(a).
    $pdf->Rectangle(58,25,500,185);
    $pdf->addText(280,201,8,'Cr�ditos Cursados)');
	$pdf->line(58,197,558,197); 
	$pdf->addText(65,190,7,'Nombres y Apellidos');
	$pdf->addText(400,190,7,'Fecha');
	$pdf->addText(65,180,8,$nom_docente);
	$pdf->addText(430,180,7,'____/____/______ ');
	$pdf->addText(65,170,7,'C�dula o Pasaporte');
	$pdf->addText(400,170,7,'Firma');
	$pdf->addText(65,160,9,$id_docente);
	$pdf->line(58,158,558,158); 
	// Coordinador General del Programa.
	$pdf->addText(245,149,8,'Coordinaci�n General del Programa');
	$pdf->line(58,145,558,145); 
	$pdf->addText(65,138,7,'Nombres y Apellidos');
	$pdf->addText(400,138,7,'Fecha');
	$pdf->addText(430,128,7,'____/____/______ ');
	$pdf->addText(65,118,7,'C�dula o Pasaporte');
	$pdf->addText(400,118,7,'Firma');
	$pdf->line(58,105,558,105); 
	// Direcci�n de Postgrado
    $pdf->addText(260,96,8,'Direcci�n de Post-Grado');
	$pdf->line(58,92,558,92); 
	$pdf->addText(65,82,7,'Nombres y Apellidos');
	$pdf->addText(400,82,7,'Fecha');
	$pdf->addText(65,72,9,'');
	$pdf->addText(430,72,7,'____/____/______ ');
	$pdf->addText(65,62,7,'C�dula o Pasaporte');
	$pdf->addText(400,62,7,'Firma');
	$pdf->line(58,49,558,49); 
	$pdf->line(375,25,375,49); 
	// Leyenda al pie de p�gina.
	$pdf->addText(65,42,5,'Escala de Evaluaci�n: Del Uno (1) al Cinco (5)');
	$pdf->addText(380,42,5,'V�B� REGISTRO ACAD�MICO');
	$pdf->addText(65,35,5,'Calificaci�n M�nima Aprobatoria: Tres (3) puntos');
	$pdf->addText(65,28,5,'Leyenda: I=Inasistente');
	$pdf->addText(270,17,7,'VA SIN ENMIENDA');*/
}
?> 